/* Common to sections */ 

.default-section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding:
        var(--section-padding-y)
        var(--section-padding-x);
    gap: var(--section-gap);
}

.flex-center {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 32px;

    text-align: center;
}

.green-section {
    background-color: var(--color-main-green);
}

.default-card {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 16px;
}

/* 
    -- HERO --
*/

.hero {
    /* min-height: calc(100vh - 70px); */
}

.hero__image {
    display: flex;
    align-items: center;
    justify-content: center;
}

.hero__image img {
    max-height: 70vh;
    width: auto;
    height: 100%;

    max-width: 100%;
    object-fit: contain;
}

.hero__content {
    margin-top: 32px;
    gap: 32px;
}

.hero__title {
    font-size: var(--text-2xl);
    margin-bottom: 20px;
}

.hero__description {
    font-size: var(--text-md);
    margin-bottom: 30px;
    line-height: 1.6;
    text-align: center;
}

.hero__actions {
    display: flex;
    gap: 15px;
    justify-content: center;
}

@media (max-width: 900px) {

    .hero {
        grid-template-rows: auto auto;
        gap: 32px;
    }

    .hero__image img {
        width: 100%;
        height: auto;
        max-height: 45vh;
    }
}

/*
***
    HOME PAGE
***
*/

/* Image Text Section */

.its-image {
    max-height: 70vh;
}

/* Differenciation */

.differenciation-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 8px;
}

.differenciation-col {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.bracelet-image {
    max-width: 542px;
    justify-self: center;
    align-self: center;

    z-index: 1;
}

.differenciation-text-bubble {
    z-index: 2;
    position: relative;
    text-align: center;
    height: fit-content;

    background: rgba(255, 255, 255, 0.80);

    border-radius: var(--radius-lg);
    box-shadow: 0 4px 6px rgba(0,0,0,.1);
}

.white-info {
    background: var(--color-white);
    padding: 20px;
    border-radius: var(--radius-lg);
    box-shadow: 0 4px 6px rgba(0,0,0,.1);
    display: flex;
}

@media (max-width: 1520px) {

    .differenciation-grid {
        display: flex;
        flex-direction: column;
        gap: var(--space-xs);
    }

    .differenciation-col {
        display: contents;
    }

    .bubble-1 {
        order: 1;
    }

    .bubble-2 {
        order: 2;
    }

    .bracelet-image {
        order: 4;
        max-width: min(80%, 450px);
        margin: 32px auto;
    }

    .bubble-3 {
        order: 3;
    }
}

@media (max-width: 768px) {

    .white-info {
        flex-direction: column-reverse;
        align-items: center;
        text-align: center;
        gap: var(--space-xs);
    }

    .white-info img {
        width: 48px;
    }
}
      
/* bracelet-features */

.screen-watch-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 0px;
}

.screen-watch {
    display: flex;
    width: 500px;
    height: 500px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-shrink: 0;
    border-radius: 500px;
    background: var(--color-main-green);
}

.screen-watch img {
    width: 184px;
    height: 294px;
    flex-shrink: 0;
    aspect-ratio: 87/139;
    border-radius: 20px;
    z-index: 10;
}

.screen-watch-description {
    display: flex;
    margin-left: -350px;
    padding: 0 20px 0 100px;
    flex-direction: column;
    justify-content: space-between;
    flex: 1 0 0;
    align-self: stretch;
    align-items: flex-start;
    gap: 4px;
}

.screen-watch-text-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0px;
    gap: 10px;
    padding-left: 100px;
}

.swth-2 {
    padding-left: 0px;
}

.screen-watch-text-header img {
    width: 48px;
    height: 48px;
    aspect-ratio: 1/1;
}

.screen-watch-text-content {
    color: var(--color-main-blue);
    font-family: var(--font-primary);
    font-size: var(--text-sm);
    font-style: italic;
    font-weight: 400;
    line-height: normal;
    text-align: right;
    width: 100%;
}

div.screen-watch-text:nth-child(1), div.screen-watch-text:nth-child(4) {
    padding: 4px 16px 8px 100px;
    width: 100%;
}

div.screen-watch-text:nth-child(2), div.screen-watch-text:nth-child(3) {
    padding: 4px 16px 8px 260px;
    width: 100%;

}

.screen-watch-selected {
    border-radius: 0 30px 30px 0;
    background: var(--color-main-green);
}

@media (max-width: 1020px) {

    .screen-watch-container {
        flex-direction: column;
        gap: 8px
    }

    .screen-watch {
        width: 300px;
        height: 300px;
        border-radius: 300px;
    }

    .screen-watch img {
        height: auto;
        width: 150px;
    }

    .screen-watch-description {
        display: flex;
        margin-left: 0px;
        padding: 0 20px 0 20px;
        flex-direction: column;
        justify-content: space-between;
        flex: 1 0 0;
        align-self: stretch;
        align-items: flex-start;
        gap: 4px;
    }

    div.screen-watch-text:nth-child(1), div.screen-watch-text:nth-child(4) {
        padding: 4px 16px 8px 4px;
        width: 100%;
    }

    div.screen-watch-text:nth-child(2), div.screen-watch-text:nth-child(3) {
        padding: 4px 16px 8px 4px;
        width: 100%;

    }

    .screen-watch-text-header {
        padding-left: 0px;
    }

    .screen-watch-selected {
        border-radius: 30px;
        background: var(--color-main-green);
    }
}

/* Customer Feedbacks */.
.customer-feedback-carousel {
    width: 100%;
    display: flex;
    gap: 16px;
    flex-direction: column;
}

.customer-feedbacks-list {
    display: flex;
    align-items: stretch;
    gap: 32px;
    padding:0;
}


.customer-feedback-text {
    flex:1;
}

.carousel-dots {
    display: none;
}

@media (max-width: 1120px) {

    .customer-feedback-carousel {
        width: 100%;
        display: flex;
        gap: 16px;
        flex-direction: column;
    }
    
    .customer-feedbacks-list {
        display: flex;
        overflow-x: auto;

        gap: var(--space-lg);

        scroll-snap-type: x mandatory;
        scroll-padding-inline: var(--section-padding-x);

        scrollbar-width: none;
        -ms-overflow-style: none;

        padding-inline: var(--section-padding-x);
    }

    .customer-feedbacks-list::-webkit-scrollbar {
        display: none;
    }

    .customer-feedback-card {
        flex: 0 0 100%;

        scroll-snap-align: center;
    }

    .carousel-dots {
        display: flex;
        justify-content: center;
        gap: var(--space-md);
    }
    
    .carousel-dot {
        width: 10px;
        height: 10px;

        border: none;
        border-radius: 50%;

        background: #BFC7CB;
        cursor: pointer;

        transition: .25s ease;
    }

    .carousel-dot.active {
        background: var(--color-main-dark-blue);
        transform: scale(1.3);
    }

}

@media (max-width: 768px) {

    .customer-feedback-carousel {
        width: 100%;
        display: flex;
        gap: 16px;
        flex-direction: column;
    }

    .customer-feedbacks-list {
        padding-inline: var(--space-lg);
    }

    .customer-feedback-card {
        flex: 0 0 100%;
    }

}

/* Partners Section */

.partners-logos {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 32px;
}

.partners-logos img {
    max-height: 100px;
}

@media (max-width: 768px) {

    .partners-logos img {
    max-height: 75px;
}

}

/* 
**
    PRODUCT PAGE
**
*/

.modes-grid {
    display: flex;
    flex-direction:column;
    gap: var(--space-xs);
}

.modes-grid-images, .modes-grid-cards {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: auto ;
    gap: var(--space-xs);
}

.modes-grid-header {
    grid-column: span 3 / span 3;
    border-radius: var(--radius-xl) var(--radius-xl) 0 0;
    border: 1px solid var(--color-main-blue);
    background: var(--color-main-blue);
    color: var(--color-white);
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: var(--font-secondary);
    height: 45px;
}

.modes-grid img {
    width: 100%;
    max-height: 400px;
    object-fit: cover;
    object-position: top;
}

.modes-grid-card {
    display: flex;
    padding: 8px;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    align-self: stretch;
    border: 1px solid var(--color-main-blue);
    background: var(--color-white);
}

.modes-grid-footer {
    grid-column: span 3 / span 3;
    display: flex;
    padding: 8px;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    align-self: stretch;
    border-radius: 0 0 var(--radius-xl) var(--radius-xl);
    border: 1px solid var(--color-main-blue);
    background: var(--color-white);
}

@media (max-width: 768px) {

    .modes-grid img {
        max-height: 250px;
    }

    .modes-grid-cards {
        grid-template-columns: 1fr;
        grid-template-rows: repeat(3, 1fr);
    }

    .modes-grid-cards .modes-grid-card:nth-child(3) {
        border-radius: 0 0 30px 30px;
    }

    .modes-grid-footer {
        display: none;
    }

}

/* features-triptical */

.feature-triptical-container {
    display: flex;
    flex-direction: column;
    justify-content: stretch;
    align-items: stretch;
    gap: 8px;
}


.feature-triptical-text-cards {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 8px;
}


.feature-triptical-text-cards .feature-triptical-card:nth-child(1) {
    border-radius: var(--radius-xl) 0 0 0;
}

.feature-triptical-text-cards .feature-triptical-card:nth-child(3) {
    border-radius: 0 var(--radius-xl) 0 0;
}

.feature-triptical-img img {
    border-radius: 0 0 var(--radius-xl) var(--radius-xl);
}

.feature-triptical-card {
    display: flex;
    padding: 16px 8px;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    text-align: center;

    border: 4px solid var(--color-main-blue);
    background: var(--color-white);
    color: var(--color-main-blue);

    cursor: pointer;
    transition: background .25s ease, color .25s ease;
}

.feature-triptical-card:not(.triptical-card-active):hover {
    background: rgba(216, 233, 244, 0.5);
}

.triptical-card-active {
    background: var(--color-main-blue);
    color: var(--color-white);
}

.triptical-card-active h4, .triptical-card-active p {
    color: var(--color-white);
}

.triptical-card-active svg path {
    stroke: var(--color-white) !important;
}

.feature-triptical-card .icon-path {
    fill: var(--color-main-blue);
}

.triptical-card-active .icon-path {
    fill: var(--color-white);
}

.feature-triptical-img > img {
    width: 100%;
    max-height: 350px;
    object-fit: cover;
}

@media (max-width: 768px) {

    .feature-triptical-container {
        width: 100%;
    }

    .feature-triptical-img {
        display: none;
    }

    .feature-triptical-text-cards {
        grid-template-columns: auto;
        grid-template-rows: repeat(3,1fr);
    }

    .feature-triptical-text-cards .feature-triptical-card:nth-child(1) {
        border-radius: var(--radius-xl) var(--radius-xl) 0 0;
    }

    .feature-triptical-text-cards .feature-triptical-card:nth-child(3) {
        border-radius: 0 0 var(--radius-xl) var(--radius-xl);
    }

}

/* Product carousel */

.bracelet-carousel,
.carousel-track{
    display:flex;
    align-items:center;
    justify-content:center;
    gap:2rem;
}

.carousel-item{
    width:180px;
    transform: scale(.82);
    opacity: .45;
    filter: grayscale(.25);
    transition: all .45s ease;
}

.carousel-item.active{  
    transform: scale(1);
    opacity: 1;
    filter: none;
}

.carousel-item img{  
    width:100%;
    display:block;
}

.carousel-arrow { 
    height:100%;
    border-radius:50%;
    border:none;
    cursor:pointer;
    font-size: 100px;
    opacity: 50%
}

.carousel-arrow:hover { 
    opacity: 100%
}

.carousel-description{
    margin-top:2rem;
    text-align:center;
    transition: opacity .25s;
}

.grid-price {
    display: inline-grid;
    row-gap: 38px;
    column-gap: 38px;
    grid-template-rows: repeat(2,fit-content(100%));
    grid-template-columns: repeat(2,fit-content(100%));
}

.price-cta {
    display: flex;
    height: 77px;
    padding: 20px;
    justify-content: space-between;
    align-items: center;
    grid-row: 1 / span 1;
    justify-self: start;
    border-radius: 10px;
    border: 2px solid var(--color-main-blue);
    background: var(--color-white);
    box-shadow: 2px 2px 4px 0 rgba(0, 0, 0, 0.25);
    gap: 12px;
}

.price-cta:hover {
    background-color: var(--color-main-blue);
    color: var(--color-white);
}

.price-cta img {
    height: 55px;
}

@media (max-width: 768px) {

    .carousel-track .carousel-item:nth-child(1),
    .carousel-track .carousel-item:nth-child(3) {
        display: none;
    }

    .grid-price {
        display: flex;
        flex-direction: column;
        gap: 8px;
    }
    }

/*  
    PAGE CATEGORY
*/

.products-grid {
    display: grid;
    row-gap: var(--space-lg);
    column-gap: var(--space-lg);
    align-self: stretch;
    grid-template-rows: repeat(2,fit-content(100%));
    grid-template-columns: repeat(2,minmax(0,1fr));
}

.product-card {
    display: flex;
    padding: var(--space-lg);
    flex-direction: column;
    align-items: center;
    gap: var(--space-sm);
    justify-self: stretch;
    background: var(--color-white);
}

.product-card img {
    height: 300px;
    max-width: 100%;
    object-fit: contain;
}

@media (max-width: 768px) {
    
    .products-grid {
        display: flex;
        flex-direction: column;
    }
}

/*

    FAQ

*/

.faq-hero{
    text-align:center;
    padding:5rem 2rem;
}

.faq-search-wrapper {
    position: relative;
}

.faq-search{
    width:min(700px,100%);
    margin:2rem auto;
    position:relative;
}

.faq-search input{
    width:100%;
    padding:18px 60px 18px 24px;
    border-radius:999px;
    border:1px solid #DDD;
    font-size:1rem;
    transition:.25s;
}

.faq-search input:focus{
    outline:none;
    border-color:var(--color-main-dark-blue);
    box-shadow:0 0 0 4px rgba(25,60,130,.08);
}

.faq-search img{
    position:absolute;
    right:22px;
    top:50%;
    transform:translateY(-50%);
    width:22px;
}

.faq-search-results {
    position:absolute;
    top:calc(100% + 10px);
    left:0;
    width:100%;
    background: var(--color-white);
    border-radius:12px;
    box-shadow:0 15px 40px rgba(0,0,0,.12);
    z-index:10;
    overflow:hidden;
    display:none;
}

.faq-search-results.active {

    display:block;

}

.faq-result {
    display:block;
    padding:16px 20px;
    text-decoration:none;
    color:var(--color-black);
    border-bottom:1px solid #eee;
}

.faq-result:hover {

    background:#f5f7f6;

}

.faq-categories-nav{
    display:flex;
    justify-content:center;
    flex-wrap:wrap;
    gap:16px;
    margin-top:2rem;
}



.faq-categories-nav a{
    text-decoration:none;
    color:var(--color-main-dark-blue);
    padding:.6rem 1.2rem;
    border-radius:999px;
    transition:.25s;
    border:1px solid var(--color-main-dark-blue);
}

.faq-categories-nav a:hover{
    background:var(--color-main-dark-blue);
    color: var(--color-white);
}

html{
    scroll-behavior:smooth;
}


.faq-cards-container {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.faq-card {
    scroll-margin-top: 50px;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    width: 100%;
    padding: 12px 8px;
    gap: 8px;
    background: var(--color-white);
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
    overflow: hidden;
}

.faq-toggle {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: none;
    border: none;
    cursor: pointer;
}

.faq-question {
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.faq-body-card p {
    display: flex;
    justify-content: start;
    padding: 16px 0 8px 0;
}

.faq-content {
    max-height: 0;
    overflow: hidden;
    transition:
        max-height .35s ease,
        opacity .25s ease;
    opacity: 0;
}

.faq-card.is-open .faq-content {
    opacity: 1;
}

.faq-arrow {
    transition: transform .3s ease;
}

.faq-card.is-open .faq-arrow {
    transform: rotate(180deg);
}

/*
    CONTACT
*/

.contact-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    align-self: stretch;
}

.contact-row {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    align-self: stretch;
}

.contact-para {
    text-align: center;
}

/*
    BRAND
*/

/* LILLE */

.lille-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 48px;
    align-self: stretch;
}

.lille-container img {
    max-width: 40%;
}

.lille-img {
    border-radius: 50px;
}
    
    
 @media (max-width: 768px) {
    .lille-container {
        flex-direction: column;
    }

    .lille-container img {
    max-width: 80%;
}
}

.lille-text-zone {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    flex: 1 0 0;
}

.lille-logo {
    border-radius: 0;
}

.explain-section {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 48px;
    align-self: stretch;
}

.explain-cards-list {
    display: flex;
    padding: 32px 24px;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
}

.explain-card {
    display: flex;
    padding: 16px 8px;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    border-radius: 30px;
    border: 2px solid #DDE8D7;
    background: var(--color-main-dark-blue);
}

.explain-card h4, .explain-card p {
    color: var(--color-white);
    text-align: center;
}